
Redmine - Defect #18943

REST API does not return spent_hours when listing issues

2015-01-23 21:53 - Leonardo Pacheco

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 2.6.1

Description

When you query the REST API for a specific item, it returns spent_hours for that item. When you query the REST API to list all items,

it doesn't.

Related issues:

Related to Redmine - Feature #5303: Add spent_hours to /issues/index API Closed 2010-04-13

Is duplicate of Redmine - Feature #34857: Add total estimated hours, spent ho... Closed

History

#1 - 2015-01-23 21:54 - Leonardo Pacheco

- File index.api.rsb.patch added

The attached patch solves the issue.

#2 - 2015-02-02 19:27 - Leonardo Pacheco

- Status changed from New to Resolved

It seems the problem was discusse in the past and the original issue argues that maybe adding this information will be too resource intensive on the

server.

http://www.redmine.org/issues/5303

#3 - 2015-02-16 16:57 - Toshi MARUYAMA

- Related to Feature #5303: Add spent_hours to /issues/index API added

#4 - 2021-08-09 06:25 - Go MAEDA

- Is duplicate of Feature #34857: Add total estimated hours, spent hours, total spent hours for issues to issue list API added

#5 - 2021-08-09 06:26 - Go MAEDA

- Status changed from Resolved to Closed

- Resolution set to Duplicate

It has been implemented by #34857 and will be available in Redmine 5.0.0.

Files

index.api.rsb.patch 530 Bytes 2015-01-23 Leonardo Pacheco
